<template>
    <div id="question">
        {{ question.question }}
        <br> <br> <br>
        <button v-on:click="trueButtonClicked">True </button>&nbsp;
        <button v-on:click="falseButtonClicked">False</button>
    </div>
</template>

<script>
export default {
    name: 'QuizQuestion',
    props: {
        question: {
            required: true,
            type: Object //sjekk denne
        }
    },
    methods: {
        trueButtonClicked(){
            this.$emit('true-clicked', {
                user_answer : 'True',
                correct_answer : this.question.correct_answer
            })
        },
        falseButtonClicked(){
            this.$emit('false-clicked', {
                user_answer : 'False',
                correct_answer : this.question.correct_answer
            })
        }
    }
}
</script>

<style scoped>
#question {
    font-size: 20px;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

button {
    background-color: rgb(207, 141, 83);
    border: 1px solid rgb(39, 26, 15);
    padding: 18px 25px;
    font-size: 17px;
    cursor: pointer;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

</style>